/*
 * SecuenciaValidacionAplicaNovedadDependiente.java
 *
 * Created on 23 de marzo de 2007, 09:18 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author jlozanop
 */
public class SecuenciaValidacionAplicaNovedadDependiente extends AbstractRule {

	/** Creates a new instance of CampoVacio */
	public SecuenciaValidacionAplicaNovedadDependiente() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {

			try {
				String novedadSecuencia = (String) getParams()[2];
				int posNum = Integer.parseInt(novedadSecuencia);
				for (int pos = posNum; pos < registro.length; pos++) {
					if (registro[pos].length() > 0)
						return true;
				}

			} catch (Exception e) {

			}

		}
		return false;
	}
}
